picocli

## Interface CommandLine.IVersionProvider

Enclosing class:
  CommandLine

    public static interface CommandLine.IVersionProvider

Provides version information for a command. Commands may configure a provider with the `CommandLine.Command.versionProvider()` annotation attribute.

Since:
  2.2

### Method Summary

All Methods Instance Methods Abstract Methods
`String[]` `getVersion()` Returns version information for a command.

### Method Detail

#### getVersion

    String[] getVersion()
                 throws Exception

Returns version information for a command.

Returns:
  version information (each string in the array is displayed on a separate line)
Throws:
  `Exception` - an exception detailing what went wrong when obtaining version information